[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetEnvironmentVariable

Return the value of an environment variable.

## Declaration

Source position: osutilsh.inc line 26

`function GetEnvironmentVariable(`
`const EnvVar: AnsiString`
`):AnsiString; function GetEnvironmentVariable(`
`const EnvVar: UnicodeString`
`):UnicodeString;`

## Description

GetEnvironmentVariable returns the value of the EnvVar environment variable. If the specified variable does not exist or EnvVar is empty, an empty string is returned.

## See also

GetEnvironmentString |  | Return an environment variable by index.
GetEnvironmentVariableCount |  | Return the number of variables in the environment.